Subject: bug#13931: closed (Re: bug#13931: 24.3.50; latest trunk fails to compile on linux)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Mar 2013 03:55:03 +0000

Your bug report

#13931: 24.3.50; latest trunk fails to compile on linux

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13931: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13931
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13931: 24.3.50; latest trunk fails to compile on linux
From: Paul Eggert <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Mar 2013 20:53:02 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for installing a patch (trunk bzr 112029).
It works for me and I'm marking this as done.

Subject: 24.3.50; latest trunk fails to compile on linux
From: Richard Kim <[email-masked]>
To: [email-masked]
Date: Mon, 11 Mar 2013 19:50:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs trunk fails to compile on a fresh branch.
However compile succeeds if an older version is used.
Subsequent compilation of latest version also succeeds.
Details follow.

First attempt at compiling latest trunk fails via

    cd $SRC/emacs/emacs-trunk
    bzr pull --overwrite http://bzr.savannah.gnu.org/r/emacs/trunk
    cd ..
    bzr branch emacs-trunk emacs-trunk_20130311
    cd emacs-trunk_20130311
    ./configure --prefix /opt/local
    make all info

Above fails with    

    ...
    Loading loadup.el (source)...
    Using load-path ($SRC/emacs/emacs-trunk_20130311/lisp
    $SRC/emacs/emacs-trunk_20130311/lisp/emacs-lisp
    $SRC/emacs/emacs-trunk_20130311/lisp/language
    $SRC/emacs/emacs-trunk_20130311/lisp/international 
    $SRC/emacs/emacs-trunk_20130311/lisp/textmodes)
    Loading emacs-lisp/byte-run (source)...
    Symbol's function definition is void: \`

However if an older version is used, then the compile succeeds:

    bzr up -r 111990
    ./configure --prefix /opt/local
    make all info

Now going back to latest trunk version (which failed to compile earlier)
succeeds as well:

    bzr up
    ./configure --prefix /opt/local
    make all info

This problem showed up sometime after Feb 28, 2013.  I have been
compiling latest trunk once every week or so for a long time via the
same steps, which worked for me for several years until it started
failing in the past couple of weeks.

I use Ubuntu 12.04 on a 64-bit laptop.